//#region src/utils/strings.d.ts
declare const capitalize: (str: string) => string;
declare const makeEnumPretty: (enumValue: string, capitalizeAllWords?: boolean) => string;
declare function removeChars(value: string, beginIndex: number, endIndex?: number): string;
declare function isString(str: unknown): str is string;
declare function removeCommas(value: string): string;
declare function removeNonDigit(value: string): string;
declare function addCommasToVariableDecimal(value: string | number, decimals: number): string;
declare function addCommasToDigits(value: string | number): string;
declare function removeLeadingZeros(value: string): string;
type ElideObjArgs = {
  maxChars: number;
  ellipsisPosition?: "start" | "middle" | "end" | number;
};
type ElideArgs = number | ElideObjArgs;
declare function elide(value: string, elideArgs?: ElideArgs): string;
//#endregion
export { capitalize as a, makeEnumPretty as c, removeLeadingZeros as d, removeNonDigit as f, addCommasToVariableDecimal as i, removeChars as l, ElideObjArgs as n, elide as o, addCommasToDigits as r, isString as s, ElideArgs as t, removeCommas as u };